import { IDomEditor } from '@wangeditor-next/editor';
import BaseModalMenu from './BaseModalMenu';
import CsModal from './CsModal';

export default class ModalMenu extends BaseModalMenu {
	getValue(editor: IDomEditor) {
		return <CsModal onInit={this.modalInit} editor={editor} />;
	}
}

export const myModalMenuConf = {
	key: 'materialMenu',
	factory() {
		return new ModalMenu();
	},
};
